Skip to main content
GET
/
api
/
alerts
/
{alertId}
/
source-payloads
/
{sourcePayloadId}
cURL
curl -X GET "https://app.cotool.ai/api/alerts/:alertId/source-payloads/:sourcePayloadId" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "sourcePayload": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": {},
    "originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "originRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contentType": "<string>",
    "sha256": "<string>",
    "sizeBytes": 1,
    "payload": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

alertId
string
required

Alert UUID or human-readable display ID

sourcePayloadId
string<uuid>
required

Alert source payload UUID

Response

Successful response

sourcePayload
object
required